REST APIPolicyPolicy Builder

GET

Lists all scopes for a given policy rule.

Path Params

  • enterpriseId string required
    Your Enterprise Id.

Responses

200
All available scopes for your enterprise.

Response Body

object

Wrapper object for a list of scopes. Not paginated.
  • scopes array of objects
    A list of scopes available on your Enterprise.
    scopes object
    • id string required
      Unique id of the scope. A UUID.
    • name string enum required
      Name of the scope.
      wallet.segregated
    • label string required
      A label for the scope which can be shown to an end user.
    • description string required
      A description for the scope which can be shown to an end user.
    • conditions array of objects required
      A list of Filtering Conditions the scope supports. For example the Wallet Type Filtering condition.

      ANY OF

      • name string enum required
        The name of the condition.
        wallet.type
      • label string required
        A label for the condition which can be shown to an end user.
      • description string required
        A description for the condition which can be shown to an end user.
      • status string enum required

        Status of the condition. Indicates if the condition is usable ACTIVE or not INACTIVE.

        • ACTIVE - The condition is available for use.
        • INACTIVE - The condition is NOT available for use.
        ACTIVEINACTIVE
      • parameters array of objects required
        A list of Parameters to control how the condition behaves.
        parameters object
        • name string enum required
          The name of the condition parameter.
          walletType
        • label string required
          A description for the condition parameter which can be shown to an end user.
        • description string required
          A description for the condition parameter which can be shown to an end user.
        • type string enum required
          This Conditions parameter has a set of defined values.
          ENUMERATED
        • required string enum required
          This Conditions parameter must always be provided.
          ALWAYS
        • allowMultiple boolean required
          true, if multiple values can be provided, i.e. as a list of values. When false only one value can be provided, i.e. a list with more than one element will be rejected.
        • values array of objects required
          A list of valid values, only values from this list will be accepted.

          ANY OF

          • value string enum required
            The actual value.
            custodial
          • label string required
            A label for the condition parameter Value which can be shown to an end user.
          • description string required
            A description for the condition parameter Value which can be shown to an end user.
401
Unauthorized

Response Body

object

  • code string
  • message string
  • status integer
403
Forbidden

Response Body

object

  • code string
  • message string
  • status integer
404
The specified resource was not found

Response Body

object

  • code string
  • message string
  • status integer
500
Server Error - Transient error please try again

Response Body

object

  • code string
  • message string
  • status integer